/* The actual timeline (the vertical ruler) */
.timeline {
    position: relative;
    max-width: 1200px;
    margin: 0 auto;
  }
  
/* The actual timeline (the vertical ruler) */
.timeline::after {
    content: '';
    position: absolute;
    width: 6px;
    background-image: linear-gradient(180deg, #4528dc 50%, #57048a);
    top: 0;
    bottom: 0;
    left: 50%;
    margin-left: -3px;
    /* box-shadow: 5px 5px 5px #8c8c8c; */
}
  
/* Container-time around content */
.container-time {
    padding: 10px 40px;
    position: relative;
    background-color: inherit;
    width: 50%;

}
  
/* The circles on the timeline */
.container-time::after {
    content: '';
    position: absolute;
    width: 25px;
    height: 25px;
    right: -12px;
    background-color: white;
    border: 5px solid #040404;
    top: 15px;
    border-radius: 50%;
    z-index: 1;
}
  
/* Place the container-time to the left */
.left {
    left: 0;
}
  
/* Place the container-time to the right */
.right {
    left: 50%;
}
  
/* Add arrows to the left container-time (pointing right) */
.left::before {
    content: " ";
    height: 0;
    position: absolute;
    top: 22px;
    width: 0;
    z-index: 1;
    right: 30px;
    border: medium solid white;
    border-width: 10px 0 10px 10px;
    border-color: transparent transparent transparent #4528dc;
}
  
/* Add arrows to the right container-time (pointing left) */
.right::before {
    content: " ";
    height: 0;
    position: absolute;
    top: 22px;
    width: 0;
    z-index: 1;
    left: 30px;
    border: medium solid white;
    border-width: 10px 10px 10px 0;
    border-color: transparent #4528dc transparent transparent;
}
  
/* Fix the circle for container-times on the right side */
.right::after {
    left: -12px;
}
  
/* The actual content */
.content {
    padding: 20px 30px;
    background-color: white;
    position: relative;
    border-radius: 6px;
    box-shadow: 4px 4px 8px #4528dc;
}
  
/* Media queries - Responsive timeline on screens less than 600px wide */
@media screen and (max-width: 600px) {
    /* Place the timelime to the left */
    .timeline::after {
        left: 31px;
    }
        
    /* Full-width container-times */
    .container-time {
        width: 100%;
        padding-left: 70px;
        padding-right: 25px;
        }
        
    /* Make sure that all arrows are pointing leftwards */
    .container-time::before {
        left: 60px;
        border: medium solid white;
        border-width: 10px 10px 10px 0;
        border-color: transparent white transparent transparent;
    }
    
    /* Make sure all circles are at the same spot */
    .left::after, .right::after {
        left: 15px;
    }
        
    /* Make all right container-times behave like the left ones */
    .right {
        left: 0%;
    }
}